## ide-macros ide-macros |

## Functions

#define | ide_clear_weak_pointer()
#define | ide_set_weak_pointer()
#define | ide_clear_signal_handler()
gboolean | ide_str_empty0 ()
gboolean | ide_str_equal0 ()

## Description

## Functions

### ide_clear_weak_pointer()

    #define             ide_clear_weak_pointer(ptr)

### ide_set_weak_pointer()

    #define             ide_set_weak_pointer(ptr,obj)

### ide_clear_signal_handler()

    #define             ide_clear_signal_handler(obj,ptr)

### ide_str_empty0 ()

    gboolean
    ide_str_empty0 (const gchar *str);

### ide_str_equal0 ()

    gboolean
    ide_str_equal0 (gconstpointer a,
                    gconstpointer b);

## Types and Values